Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciMemberAccessExpression

public interface SciMemberAccessExpression
extends SciExpression

An expression of accessing object's member.

`getObjectExpression` method returns an expression for object, while `getMemberExpression` returns an expression for its member. Consider this example:

     someObject.someMember();

It is a `FunctionCallExpression`. Its method `getFunction` will return an expression for `someObject.someMember`. And for that expression methods `getObjectExpression` and `getMemberExpression` will return expressions for `someObject` and `someMember` respectively.

Author:
  TogetherSoft
See Also: SciExpression, SciFunctionCallExpression.getFunction(), getObjectExpression(), getMemberExpression()

Method Summary
`String` | `getAccessOperation()` Returns a string containing a syntax construction for accessing ojbect's members.
`SciExpression` | `getMemberExpression()` Returns an expression for the member in this member access expression.
`SciExpression` | `getObjectExpression()` Returns an expression for the object in this member access expression.
`void` | `setAccessOperation(String operation)` Sets the member access operation in this expression to the specified string value.

Methods inherited from interface com.togethersoft.openapi.sci.SciExpression
`accept, getKind, getParent, getType, operands, visitReferences, visitReferences`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### getAccessOperation

    public String getAccessOperation()

  Returns a string containing a syntax construction for accessing ojbect's members. For example, "." or "->"
  Returns: a string containing a syntax construction for accessing ojbect's members
  See Also:
    setAccessOperation(java.lang.String)

### getMemberExpression

    public SciExpression getMemberExpression()

  Returns an expression for the member in this member access expression.
  Returns: an expression for the member in this member access expression
  See Also:
    getObjectExpression()

### getObjectExpression

    public SciExpression getObjectExpression()

  Returns an expression for the object in this member access expression.
  Returns: an expression for the object in this member access expression
  See Also:
    getMemberExpression()

### setAccessOperation

    public void setAccessOperation(String operation)

  Sets the member access operation in this expression to the specified string value.
  Parameters:
    operation - the string containing a new type of an operation for accessing a member in this expressin
  See Also:
    getAccessOperation()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD